%{?nodejs_find_provides_and_requires} 

%global enable_tests 0
Name:           nodejs-strip-ansi
Version:        4.0.0
Release:        %mkrel 7
Summary:        Strip ANSI escape codes (used for colorizing strings in the terminal)
License:        MIT
Group:          Development/Other
Url:            https://github.com/sindresorhus/strip-ansi
Source0:        https://github.com/chalk/strip-ansi/archive/v%{version}/strip-ansi-%version.tar.gz
Source1:        https://raw.githubusercontent.com/sindresorhus/strip-ansi/3c9b37e5381603925ba16b27a05ccbfd338906b8/test.js
# https://github.com/sindresorhus/strip-ansi/pull/1
Source2:        LICENSE
BuildRequires:  nodejs-packaging
BuildArch:      noarch


%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif

%description
%{summary}.

%prep
%setup -qn strip-ansi-%{version}
#cp -p %{SOURCE1} .
#cp -p %{SOURCE2} .


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/strip-ansi
cp -pr package.json  index.js \
    %{buildroot}%{nodejs_sitelib}/strip-ansi


%{nodejs_symlink_deps}


%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%{_bindir}/mocha
%endif


%files
%doc license readme.md
%{nodejs_sitelib}/strip-ansi


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 4.0.0-7.mga10
+ Revision: 2209326
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 4.0.0-6.mga9
+ Revision: 1819785
- Mageia 9 Mass Rebuild

* Mon May 04 2020 joequant <joequant> 4.0.0-5.mga8
+ Revision: 1580138
- redo deps

* Wed Feb 19 2020 umeabot <umeabot> 4.0.0-4.mga8
+ Revision: 1542544
- Mageia 8 Mass Rebuild

* Sat Jan 04 2020 joequant <joequant> 4.0.0-3.mga8
+ Revision: 1476577
- update

* Thu Sep 20 2018 umeabot <umeabot> 4.0.0-2.mga8
+ Revision: 1281003
- Mageia 7 Mass Rebuild

* Fri Apr 13 2018 kekepower <kekepower> 4.0.0-1.mga7
+ Revision: 1218128
- Update to version 4.0.0

* Sat Feb 20 2016 umeabot <umeabot> 3.0.0-2.mga6
+ Revision: 972447
- Mageia 6 Mass Rebuild

* Wed Nov 04 2015 spuhler <spuhler> 3.0.0-1.mga6
+ Revision: 897832
- adjusted spec to ver. 3.0.0
- upgrade to vers. 3.0.0

* Wed Nov 04 2015 spuhler <spuhler> 2.0.1-3.mga6
+ Revision: 897823
- removed test so it will build
- rebuild with new nodejs-string-width
- upgrade to vers. 2.0.1

* Mon Nov 02 2015 spuhler <spuhler> 0.2.0-1.mga6
+ Revision: 897344
- local srpm build based on Opensuse

